=== tests/testpkg/debian/changelog ===
adequate-testpkg (1) unstable; urgency=low

  * Initial release.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 02 Feb 2013 13:08:18 +0100
