=== tests/testpkg/debian/control ===
Source: adequate-testpkg
Section: misc
Priority: extra
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7), python2.7
Standards-Version: 3.9.4

Package: adequate-testpkg-bin-or-sbin-binary-requires-usr-lib-library
Architecture: any
Description: adequate test package; do not install
  bin-or-sbin-binary-requires-usr-lib-library /bin/adequate-usrlib1 => /usr/lib/libadequate-usrlib.so.0
  bin-or-sbin-binary-requires-usr-lib-library /sbin/adequate-usrlib2 => /usr/lib/libadequate-usrlib.so.0

Package: adequate-testpkg-broken-symlink
Architecture: all
Description: adequate test package; do not install
  broken-symlink /usr/share/adequate/test-broken-symlink -> /this/file/does/not/exist

Package: adequate-testpkg-library-not-found
Architecture: any
Description: adequate test package; do not install
  library-not-found /bin/adequate-lib1 => libadequate-lib.so.0

Package: adequate-testpkg-incompatible-licenses
Architecture: any
Description: adequate test package; do not install
  incompatible-licenses /usr/bin/adequate-license-conflict OpenSSL (libssl.so.1.0.0) + GPLv3+ (libreadline.so.6)

Package: adequate-testpkg-incompatible-licenses-dep5
Architecture: any
Description: adequate test package; do not install
  incompatible-licenses /usr/bin/adequate-license-conflict-dep5 GPLv2 + GPLv3+ (libreadline.so.6)

Package: adequate-testpkg-missing-alternative
Architecture: all
Provides: x-terminal-emulator, x-window-manager
Description: adequate test package; do not install
  missing-alternative x-terminal-emulator
  missing-alternative x-window-manager

Package: adequate-testpkg-missing-copyright-file
Architecture: all
Description: adequate test package; do not install
  missing-copyright-file /usr/share/doc/adequate-testpkg-missing-copyright-file/copyright

Package: adequate-testpkg-missing-pkgconfig-dependency
Architecture: all
Depends: pkg-config (>= 0.27)
Description: adequate test package; do not install
  missing-pkgconfig-dependency libadequate => libnonexistent

Package: adequate-testpkg-missing-symbol-version-information
Architecture: any
Description: adequate test package; do not install
  missing-symbol-version-information /usr/bin/adequate-test-msvi => /usr/lib/libadequate-test-versionless.so.0

Package: adequate-testpkg-obsolete-conffile
Architecture: all
Description: adequate test package; do not install
  obsolete-conffile /etc/adequate/test-obsolete-conffile

Package: adequate-testpkg-program-name-collision
Architecture: all
Description: adequate test package; do not install
  program-name-collision /usr/games/true (bash builtin command)
  program-name-collision /usr/games/true /bin/true

Package: adequate-testpkg-py-file-not-bytecompiled
Architecture: all
Depends: python (>= 2.7), python (<< 2.8)
Description: adequate test package; do not install
  py-file-not-bytecompiled /usr/lib/python2.7/dist-packages/adequate/test_no_pyc.py

Package: adequate-testpkg-pyshared-file-not-bytecompiled
Architecture: all
Depends: python
