## adequate 0.15.1ubuntu1

=== debian/changelog ===
adequate (0.15.1ubuntu1) yakkety; urgency=medium

  * Compile symbol-size-mismatch test package with -fno-PIE to trigger
    symbol size missmatch warning. LP: #1619377

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Sep 2016 17:41:27 +0100
