=== tests/testpkg/debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	# symbol-size-mismatch
 	$(CC) -shared -Wl,--soname=lib$(at)-symsize.so.0 lib.c -o $(tmp)/lib$(at)-symsize.so.0
 	ln -sf lib$(at)-symsize.so.0 $(tmp)/lib$(at)-symsize.so
-	$(CC) symsize.c -L$(tmp) -o $(tmp)/$(at)-symsize -l$(at)-symsize
+	$(CC) -fno-PIE -no-pie symsize.c -L$(tmp) -o $(tmp)/$(at)-symsize -l$(at)-symsize
 	$(CC) -shared -Wl,--soname=lib$(at)-symsize.so.0 -DADEQUATE_SYMBOL_SIZE=42 lib.c -o $(tmp)/lib$(at)-symsize.so.0
 	# undefined-symbol
 	$(CC) -shared -Wl,--soname=lib$(at)-versioning.so.0 -Wl,--version-script=verscript-global lib.c -o $(tmp)/lib$(at)-versioning.so.0
