## adequate 0.15.1ubuntu2

=== debian/changelog ===
adequate (0.15.1ubuntu2) zesty; urgency=medium

  * Add libreadline7

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 31 Oct 2016 17:45:07 +0000
