=== tests/testpkg/debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	cd $(tmp) && seq 2 5 | xargs -t -I {} ln -f adequate-usrlib1 adequate-usrlib{}
 	# incompatible-licenses
 	$(CC) lib.c -fPIC -shared -Wl,-soname,libssl.so.1.0.0 -o $(tmp)/libssl.so
-	$(CC) lib.c -fPIC -shared -Wl,-soname,libreadline.so.6 -o $(tmp)/libreadline.so
+	$(CC) lib.c -fPIC -shared -Wl,-soname,libreadline.so.7 -o $(tmp)/libreadline.so
 	$(CC) prog.c -L$(tmp) -Wl,--no-as-needed -lssl -lreadline -o $(tmp)/adequate-license-conflict
 	$(CC) prog.c -L$(tmp) -Wl,--no-as-needed -lreadline -o $(tmp)/adequate-license-conflict-dep5
 	# missing-version-information
