=== tests/testpkg/debian/control ===
--- 
+++ 
@@ -24,12 +24,12 @@
 Package: adequate-testpkg-incompatible-licenses
 Architecture: any
 Description: adequate test package; do not install
-  incompatible-licenses /usr/bin/adequate-license-conflict OpenSSL (libssl.so.1.0.0) + GPLv3+ (libreadline.so.6)
+  incompatible-licenses /usr/bin/adequate-license-conflict OpenSSL (libssl.so.1.0.0) + GPLv3+ (libreadline.so.7)
 
 Package: adequate-testpkg-incompatible-licenses-dep5
 Architecture: any
 Description: adequate test package; do not install
-  incompatible-licenses /usr/bin/adequate-license-conflict-dep5 GPLv2 + GPLv3+ (libreadline.so.6)
+  incompatible-licenses /usr/bin/adequate-license-conflict-dep5 GPLv2 + GPLv3+ (libreadline.so.7)
 
 Package: adequate-testpkg-missing-alternative
 Architecture: all
