## adequate 0.15.1ubuntu4

=== debian/changelog ===
adequate (0.15.1ubuntu4) artful; urgency=medium

  * Don't run the test for an undefined symbol in an executable. Always
    failed on ppc64el, and now fails on amd64 and i386 as well with
    updated binutils. See PR ld/22126.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Sep 2017 18:50:31 +0200

adequate (0.15.1ubuntu3) artful; urgency=medium

  * debian/tests/run-test: Skip over non-deb members in changes files.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Apr 2017 00:51:26 -0600
