## adequate 0.15.1ubuntu5

=== debian/changelog ===
adequate (0.15.1ubuntu5) bionic; urgency=medium

  * Fix regular expression for undefined symbol output from ldd
    (lost a comma).

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 28 Mar 2018 10:49:37 +0200
