=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: adequate
 Section: utils
 Priority: optional
-Maintainer: Jakub Wilk <jwilk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7), dh-buildinfo,
  perl (>= 5.14),
  python3 (>= 3.2), python3-apt
