=== debian/tests/control ===
Tests: smoke-test
Depends: adequate

Tests: full-test
Depends: adequate,
 build-essential, debhelper,
 python3 (>= 3.2), python3-apt,
 python (>= 2.7), python (<< 2.8),
 pkg-config (>= 0.27)
Restrictions: breaks-testbed needs-root
