## adequate 0.15.2

=== debian/changelog ===
adequate (0.15.2) unstable; urgency=medium

  * QA upload, see #786808.

  [ Jakub Wilk ]
  * Update copyright years.
  * Add license information for libpoppler.so.60 and libpoppler.so.61.

  [ Axel Beckert ]
  * Set Maintainer to Debian QA Group.
  * Convert packaging VCS repo to git and use salsa.debian.org for it.
  * Use HTTPS for debian/copyright format URL.
  * Use dpkg instead of coreutils for build-time smoke test. (Closes:
    #922773)
  * Apply "wrap-and-sort -a".
  * Use debhelper compatibility level 12.
    + Drop debian/compat.
    + Depend on "debhelper-compat (= 12)".
  * Drop version from (build-)dependency on perl.  (5.14 is already in
    oldoldstable.) Use only ${perl:Depends} in binary package.
  * Use $(DEB_VERSION) instead of dpkg-parsechangelog.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Drop "compression = gzip" from debian/source/options.
  * Fix tests/run-tests to not trip over .build files in .changes files.

 -- Axel Beckert <abe@debian.org>  Fri, 01 Mar 2019 02:12:21 +0100
