=== debian/control ===
Source: adequate
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-buildinfo,
               perl,
               python3 (>= 3.2),
               python3-apt
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/adequate.git
Vcs-Browser: https://salsa.debian.org/debian/adequate
Homepage: https://salsa.debian.org/debian/adequate
Rules-Requires-Root: no

Package: adequate
Architecture: all
Depends: debconf,
         ${misc:Depends},
         ${perl:Depends}
Recommends: pkg-config (>= 0.27)
Description: Debian package quality testing tool
 adequate checks packages installed on the system and reports bugs and policy
 violations.
 .
 The following checks are currently implemented:
  * broken symlinks;
  * missing copyright file;
  * obsolete conffiles;
  * Python modules not byte-compiled;
  * /bin and /sbin binaries requiring /usr/lib libraries;
  * missing libraries, undefined symbols, symbol size mismatches;
  * license conflicts;
  * program name collisions;
  * missing alternatives;
  * missing binfmt interpreters and detectors;
  * missing pkg-config dependencies.
