=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-version = $(word 2,$(shell dpkg-parsechangelog | grep ^Version:))
+include /usr/share/dpkg/pkg-info.mk
 
 .PHONY: clean
 clean: doc/Makefile tests/Makefile
@@ -15,7 +15,7 @@
 debian/build-stamp: doc/Makefile adequate
 	$(MAKE) -B -C doc/
 ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
-	adt_adequate=./adequate adt_testpkg=coreutils debian/tests/smoke-test
+	adt_adequate=./adequate adt_testpkg=dpkg debian/tests/smoke-test
 endif
 	touch $(@)
 
@@ -28,7 +28,7 @@
 	dh_installdirs
 	dh_install
 	sed -i \
-		-r -e 's/^(our \$$VERSION) =.*/\1 = "$(version)";/' \
+		-r -e 's/^(our \$$VERSION) =.*/\1 = "$(DEB_VERSION)";/' \
 		debian/*/usr/bin/*
 	dh_installman doc/*.1
 	dh_perl
