=== debian/tests/control ===
Tests: smoke-test
Depends: adequate

Tests: full-test
Depends: adequate,
         build-essential,
         debhelper,
         pkg-config (>= 0.27),
         python (<< 2.8),
         python (>= 2.7),
         python3 (>= 3.2),
         python3-apt
Restrictions: breaks-testbed needs-root
