## adequate 0.15.3

=== debian/changelog ===
adequate (0.15.3) unstable; urgency=medium

  * QA upload.
  * Don't use python2 in the autopkg tests.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Oct 2020 12:46:44 +0200
