=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-buildinfo,
                perl,
-               python3 (>= 3.2),
+               python3,
                python3-apt
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/adequate.git
