## adequate 0.15.4

=== tests/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 .PHONY: clean
 clean:
 	cd testpkg && debian/rules clean
-	rm -f *.changes *.deb
+	rm -f *.changes *.buildinfo *.deb
 	rm -f uml-guest-swap
 
 # vim:ts=4 sts=4 sw=4 noet
