=== debian/changelog ===
adequate (0.15.4) unstable; urgency=medium

  * QA upload.

  [ Axel Beckert ]
  * Retroactively mention #860941 in the previous changelog entry.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Stuart Prescott ]
  * Drop Python 2 dependencies (Closes: #942926)
    - Port tests to use Python 3 paths
    - Drop Python 2-specific pyshared test
  * Don't build dbgsym packages in test suite.
  * Clean .buildinfo file from test suite.
  * Add dummy libraries to the test suite packages so that they can be found
    by ldd when running the tests.

 -- Axel Beckert <abe@debian.org>  Wed, 03 Feb 2021 04:07:01 +0000
