=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                perl,
                python3,
                python3-apt
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/adequate.git
 Vcs-Browser: https://salsa.debian.org/debian/adequate
 Homepage: https://salsa.debian.org/debian/adequate
