=== tests/testpkg/debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	cd $(tmp) && seq 2 5 | xargs -t -I {} ln -f adequate-usrlib1 adequate-usrlib{}
 	# incompatible-licenses
 	$(CC) lib.c -fPIC -shared -Wl,-soname,libssl.so.1.0.0 -o $(tmp)/libssl.so
-	$(CC) lib.c -fPIC -shared -Wl,-soname,libreadline.so.7 -o $(tmp)/libreadline.so
+	$(CC) lib.c -fPIC -shared -Wl,-soname,libreadline.so.6 -o $(tmp)/libreadline.so
 	$(CC) prog.c -L$(tmp) -Wl,--no-as-needed -lssl -lreadline -o $(tmp)/adequate-license-conflict
 	$(CC) prog.c -L$(tmp) -Wl,--no-as-needed -lreadline -o $(tmp)/adequate-license-conflict-dep5
 	# missing-version-information
@@ -34,21 +34,17 @@
 	# symbol-size-mismatch
 	$(CC) -shared -Wl,--soname=lib$(at)-symsize.so.0 lib.c -o $(tmp)/lib$(at)-symsize.so.0
 	ln -sf lib$(at)-symsize.so.0 $(tmp)/lib$(at)-symsize.so
-	$(CC) -fno-PIE -no-pie symsize.c -L$(tmp) -o $(tmp)/$(at)-symsize -l$(at)-symsize
+	$(CC) symsize.c -L$(tmp) -o $(tmp)/$(at)-symsize -l$(at)-symsize
 	$(CC) -shared -Wl,--soname=lib$(at)-symsize.so.0 -DADEQUATE_SYMBOL_SIZE=42 lib.c -o $(tmp)/lib$(at)-symsize.so.0
 	# undefined-symbol
 	$(CC) -shared -Wl,--soname=lib$(at)-versioning.so.0 -Wl,--version-script=verscript-global lib.c -o $(tmp)/lib$(at)-versioning.so.0
 	ln -sf lib$(at)-versioning.so.0 $(tmp)/lib$(at)-versioning.so
-# what is the purpose of this test? always failed on ppc64el, starts
-# failing on x86 architectures with binutils-2.29
-ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386 x32 ppc64el))
 	$(CC) undef.c -fPIE -Wl,--unresolved-symbols,ignore-all -L$(tmp) -o $(tmp)/$(at)-us1
-endif
 	$(CC) undef.c -L$(tmp) -o $(tmp)/$(at)-us2 -l$(at)-versioning
 	$(CC) -shared -Wl,--soname=lib$(at)-versioning.so.0 -Wl,--version-script=verscript-local lib.c -o $(tmp)/lib$(at)-versioning.so.0
 	# py-file-not-bytecompiled; pyshared-file-not-bytecompiled
 	cp *.py debian/tmp/
-	python2.7 -m compileall debian/tmp/
+	python3 -m compileall debian/tmp/
 	touch $(@)
 
 .PHONY: build-arch build-indep
@@ -63,7 +59,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 	dh_makeshlibs
 	dh_installdeb
 	dh_gencontrol
