=== tests/testpkg/debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: extra
 Maintainer: Jakub Wilk <jwilk@debian.org>
-Build-Depends: debhelper (>= 7), python2.7
+Build-Depends: debhelper (>= 7), python3
 Standards-Version: 3.9.4
 
 Package: adequate-testpkg-bin-or-sbin-binary-requires-usr-lib-library
@@ -24,12 +24,12 @@
 Package: adequate-testpkg-incompatible-licenses
 Architecture: any
 Description: adequate test package; do not install
-  incompatible-licenses /usr/bin/adequate-license-conflict OpenSSL (libssl.so.1.0.0) + GPLv3+ (libreadline.so.7)
+  incompatible-licenses /usr/bin/adequate-license-conflict OpenSSL (libssl.so.1.0.0) + GPLv3+ (libreadline.so.6)
 
 Package: adequate-testpkg-incompatible-licenses-dep5
 Architecture: any
 Description: adequate test package; do not install
-  incompatible-licenses /usr/bin/adequate-license-conflict-dep5 GPLv2 + GPLv3+ (libreadline.so.7)
+  incompatible-licenses /usr/bin/adequate-license-conflict-dep5 GPLv2 + GPLv3+ (libreadline.so.6)
 
 Package: adequate-testpkg-missing-alternative
 Architecture: all
@@ -67,10 +67,8 @@
 
 Package: adequate-testpkg-py-file-not-bytecompiled
 Architecture: all
-Depends: python (>= 2.7), python (<< 2.8)
+Depends: python3
 Description: adequate test package; do not install
-  py-file-not-bytecompiled /usr/lib/python2.7/dist-packages/adequate/test_no_pyc.py
+  py-file-not-bytecompiled /usr/lib/python3.1/dist-packages/adequate/test_no_pyc.py
+  py-file-not-bytecompiled /usr/lib/python3/dist-packages/adequate/test_no_pyc.py
 
-Package: adequate-testpkg-pyshared-file-not-bytecompiled
-Architecture: all
-Depends: python
