## adequate 0.15.5

=== debian/changelog ===
adequate (0.15.5) unstable; urgency=medium

  * QA upload.
  * Try building the test packages at package build time.
  * The test for missing-symbol-version-information now also triggers a
    ldd-failure.
  * Fix building test binaries with unresolved symbols.
  * Disable emitting the bin-or-sbin-binary-requires-usr-lib-library tag.
  * Generate tests/testpkg/debian/control since adequate output slightly
    differs between non-merged-usr and merged-usr systems.  (Closes: #981899)
  * Switch to debhelper-compat (= 13) and use dh.
  * testpkg: Switch to debhelper-compat (= 13) and use dh.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Feb 2021 11:31:40 +0100
