=== tests/testpkg/debian/rules ===
--- 
+++ 
@@ -3,14 +3,13 @@
 tmp = debian/tmp
 at = adequate-test
 
-.PHONY: clean
-clean:
-	dh_clean
+debian/control: debian/control.in
+	sed -r 's/#$(shell test "$$(readlink -f /bin)" = "$$(readlink -f /usr/bin)" || echo "non-")merged-usr#//' $< > $@
 
-.PHONY: build
-build: build-stamp
+%: debian/control
+	dh $@
 
-build-stamp:
+override_dh_auto_install:
 	mkdir -p $(tmp)
 	# bin-or-sbin-binary-requires-usr-lib-library; library-not-found
 	$(CC) lib.c -fPIC -shared -Wl,-soname,libadequate-lib.so.0 -o $(tmp)/libadequate-lib.so.0
@@ -37,45 +36,35 @@
 	$(CC) symsize.c -L$(tmp) -o $(tmp)/$(at)-symsize -l$(at)-symsize
 	$(CC) -shared -Wl,--soname=lib$(at)-symsize.so.0 -DADEQUATE_SYMBOL_SIZE=42 lib.c -o $(tmp)/lib$(at)-symsize.so.0
 	# undefined-symbol
+	$(CC) -shared -Wl,--soname=lib$(at)-versioning.so.0 lib.c -o $(tmp)/lib$(at)-versioning.so.0
+	ln -sf lib$(at)-versioning.so.0 $(tmp)/lib$(at)-versioning.so
+	$(CC) undef.c -L$(tmp) -o $(tmp)/$(at)-us1 -l$(at)-versioning
+	nm $(tmp)/$(at)-us1 | grep 'U this_symbol_might_be_undefined'
 	$(CC) -shared -Wl,--soname=lib$(at)-versioning.so.0 -Wl,--version-script=verscript-global lib.c -o $(tmp)/lib$(at)-versioning.so.0
-	ln -sf lib$(at)-versioning.so.0 $(tmp)/lib$(at)-versioning.so
-	$(CC) undef.c -fPIE -Wl,--unresolved-symbols,ignore-all -L$(tmp) -o $(tmp)/$(at)-us1
 	$(CC) undef.c -L$(tmp) -o $(tmp)/$(at)-us2 -l$(at)-versioning
+	nm $(tmp)/$(at)-us2 | grep 'U this_symbol_might_be_undefined@ADEQUATE_TEST'
 	$(CC) -shared -Wl,--soname=lib$(at)-versioning.so.0 -Wl,--version-script=verscript-local lib.c -o $(tmp)/lib$(at)-versioning.so.0
 	# py-file-not-bytecompiled; pyshared-file-not-bytecompiled
 	cp *.py debian/tmp/
 	python3 -m compileall debian/tmp/
-	touch $(@)
 
-.PHONY: build-arch build-indep
-build-arch build-indep:
-	$(error $(@) is not implemented)
+override_dh_installdocs:
+	dh_installdocs -N adequate-testpkg-missing-copyright-file
 
-.PHONY: binary
-binary:
-	dh_install
-	dh_installdocs -N adequate-testpkg-missing-copyright-file
-	dh_installchangelogs
-	dh_link
-	dh_compress
-	dh_fixperms
+override_dh_missing:
+	dh_missing --list-missing
+
+override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-	dh_makeshlibs
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+
+# we build binaries with missing symbols
+override_dh_shlibdeps:
+
+execute_after_dh_builddeb:
 	rm debian/adequate-testpkg-obsolete-conffile/etc/adequate/test-obsolete-conffile
 	sed -i -e '/test-obsolete/d' debian/adequate-testpkg-obsolete-conffile/DEBIAN/conffiles
-	cp -f debian/files debian/files.orig
 	dh_gencontrol -p adequate-testpkg-obsolete-conffile -- -v2 -fdebian/files2
 	cat debian/files2 >> debian/files
 	rm -f debian/files2
 	dh_md5sums -p adequate-testpkg-obsolete-conffile
 	dh_builddeb -p adequate-testpkg-obsolete-conffile
-
-.PHONY: binary-arch binary-indep
-binary-arch binary-indep:
-	$(error $(@) is not implemented)
-
-# vim:ts=4 sts=4 sw=4 noet
