=== debian/changelog ===
adequate (0.15.6) unstable; urgency=medium

  * QA upload.
  * Build libadequate-test-versionless.so.0 with -Wl,--no-as-needed.
    (Closes: #982443)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Feb 2021 10:18:20 +0100
