=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-buildinfo,
+Build-Depends: debhelper-compat (= 13),
                perl,
                python3,
                python3-apt
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/adequate.git
 Vcs-Browser: https://salsa.debian.org/debian/adequate
 Homepage: https://salsa.debian.org/debian/adequate
@@ -28,7 +27,6 @@
   * missing copyright file;
   * obsolete conffiles;
   * Python modules not byte-compiled;
-  * /bin and /sbin binaries requiring /usr/lib libraries;
   * missing libraries, undefined symbols, symbol size mismatches;
   * license conflicts;
   * program name collisions;
