=== tests/testpkg/debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	$(CC) -shared -Wl,--soname=lib$(at)-versionless.so.0 -Wl,--version-script=verscript-global lib.c -o $(tmp)/lib$(at)-versionless.so.0
 	ln -sf lib$(at)-versionless.so.0 $(tmp)/lib$(at)-versionless.so
 	$(CC) undef.c -L$(tmp) -o $(tmp)/$(at)-msvi -l$(at)-versionless
-	$(CC) -shared -Wl,--soname=lib$(at)-versionless.so.0 lib.c -o $(tmp)/lib$(at)-versionless.so.0
+	$(CC) -shared -Wl,--no-as-needed -Wl,--soname=lib$(at)-versionless.so.0 lib.c -o $(tmp)/lib$(at)-versionless.so.0
 	# symbol-size-mismatch
 	$(CC) -shared -Wl,--soname=lib$(at)-symsize.so.0 lib.c -o $(tmp)/lib$(at)-symsize.so.0
 	ln -sf lib$(at)-symsize.so.0 $(tmp)/lib$(at)-symsize.so
