=== debian/tests/control ===
Tests: smoke-test
Depends: adequate
Restrictions: superficial

Tests: full-test
Depends: adequate,
         build-essential,
         debhelper-compat (= 13),
         pkg-config (>= 0.27),
         python3,
         python3-apt
Restrictions: breaks-testbed needs-root
