## adequate 0.15.7

=== debian/changelog ===
adequate (0.15.7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + adequate: Drop versioned constraint on pkg-config in Recommends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 15:35:24 +0100
