## adequate 0.15.8

=== debian/changelog ===
adequate (0.15.8) unstable; urgency=medium

  * QA upload.
  * Disable deprecation warnings about smartmatch, given, when in Perl
    5.38.
    This is only a band aid but it buys us time before the feature will be
    removed in perl 5.42 in roughly 2 years.
    Also fix version comparison for smartmatch being experimental warnings.
    (Closes: #1043228)

 -- gregor herrmann <gregoa@debian.org>  Tue, 08 Aug 2023 18:06:34 +0200
