## adequate 0.15.9~deb12u1

=== debian/changelog ===
adequate (0.15.9~deb12u1) bookworm; urgency=medium

  * QA upload.
  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Dec 2023 10:44:59 +0100

adequate (0.15.9) unstable; urgency=medium

  * QA upload.
  * Skip symbol-size-mismatch test on architectures where array symbols don't
    include a specific length.  (Closes: #1050066)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Nov 2023 10:06:17 +0100
