=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends: debconf,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: pkg-config (>= 0.27)
+Recommends: pkg-config
 Description: Debian package quality testing tool
  adequate checks packages installed on the system and reports bugs and policy
  violations.
