## adequate 0.15.9

=== tests/testpkg/debian/rules ===
--- 
+++ 
@@ -35,6 +35,8 @@
 	ln -sf lib$(at)-symsize.so.0 $(tmp)/lib$(at)-symsize.so
 	$(CC) symsize.c -L$(tmp) -o $(tmp)/$(at)-symsize -l$(at)-symsize
 	$(CC) -shared -Wl,--soname=lib$(at)-symsize.so.0 -DADEQUATE_SYMBOL_SIZE=42 lib.c -o $(tmp)/lib$(at)-symsize.so.0
+	readelf --wide --symbols $(tmp)/$(at)-symsize | grep this_symbol_size_varies
+	test "$$(readelf --wide --symbols $(tmp)/$(at)-symsize | grep this_symbol_size_varies | head -n 1 | awk '{print $$3}')" != "0" || touch $(tmp)/skip-symbol-size-mismatch
 	# undefined-symbol
 	$(CC) -shared -Wl,--soname=lib$(at)-versioning.so.0 lib.c -o $(tmp)/lib$(at)-versioning.so.0
 	ln -sf lib$(at)-versioning.so.0 $(tmp)/lib$(at)-versioning.so
@@ -60,6 +62,12 @@
 # we build binaries with missing symbols
 override_dh_shlibdeps:
 
+override_dh_gencontrol:
+	dh_gencontrol $(patsubst $(tmp)/skip-%,-N adequate-testpkg-%,$(wildcard $(tmp)/skip-*))
+
+override_dh_builddeb:
+	dh_builddeb $(patsubst $(tmp)/skip-%,-N adequate-testpkg-%,$(wildcard $(tmp)/skip-*))
+
 execute_after_dh_builddeb:
 	rm debian/adequate-testpkg-obsolete-conffile/etc/adequate/test-obsolete-conffile
 	sed -i -e '/test-obsolete/d' debian/adequate-testpkg-obsolete-conffile/DEBIAN/conffiles
