## adequate 0.15.12

=== debian/changelog ===
adequate (0.15.12) unstable; urgency=medium

  * Set maintainer to team email address, and myself as uploader.
  * Actually bump Standards-Version to 4.7.0.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 18 May 2024 12:36:48 +0200

adequate (0.15.11) unstable; urgency=medium

  * Fix undefined-symbol false positive for libc6 (Closes: #1071093). Thanks
    to Aurelien Jarno <aurel32@debian.org> for the helpful context in BTS.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 17 May 2024 21:32:34 +0200

adequate (0.15.10) unstable; urgency=medium

  * New maintainer (Closes: #786808).
  * Update Recommends to pkgconf (fixes depends-on-obsolete-package lint
    error).
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 13 May 2024 20:41:05 +0200
