=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: adequate
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Adequate Maintainers <team+adequate-maint@tracker.debian.org>
+Uploaders: Serafeim Zanikolas <sez@debian.org>
 Build-Depends: debhelper-compat (= 13),
                perl,
                python3,
                python3-apt
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/adequate.git
 Vcs-Browser: https://salsa.debian.org/debian/adequate
 Homepage: https://salsa.debian.org/debian/adequate
@@ -17,7 +18,7 @@
 Depends: debconf,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: pkg-config
+Recommends: pkgconf
 Description: Debian package quality testing tool
  adequate checks packages installed on the system and reports bugs and policy
  violations.
