## adequate 0.16.9

=== doc/Makefile ===
.PHONY: all
all: adequate.1

adequate.1: adequate.md
	mkdir -p ../_build/tmp/
	go-md2man -in=adequate.md -out=../_build/tmp/adequate.1

.PHONY: clean
clean:

# vim:ts=4 sts=4 sw=4 noet
