=== debian/changelog ===
adequate (0.16.9) unstable; urgency=medium

  * Build-depend on golang-any rather than golang-go (Closes: #1077724).
    Thanks to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
  * Propagate --verbose to debconf-talking subprocess.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 03 Aug 2024 23:45:37 +0200

adequate (0.16.8) unstable; urgency=medium

  * Fix parsing of update-binfmts output (Closes: #1077805).
  * Suppress false positive broken-symlink tags, for files that are either
    missing or cannot be stat'ed (Closes: #1077706).

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 03 Aug 2024 23:19:51 +0200

adequate (0.16.7) unstable; urgency=medium

  * Suppress missing-alternative for wmaker (see #868334).
  * README: revise autopkgtest instructions (Closes: #743198). Thanks to
    "Martin-Éric Racine" <martin-eric.racine@iki.fi> for the suggestions.
  * Add version constraint to Build-Depends: golang-go, for relatively new
    stdlib packages (cmp and slices). Closes: #1077724.
  * Pending mode should propagate debconf setting, rather than set it
    unconditionally (Closes: #1077703).
  * Add crude progress reporting, behind --verbose (Closes: #1077705).

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 30 Jul 2024 19:40:10 +0200

adequate (0.16.6) unstable; urgency=medium

  * Drop non-arch binary packages if at least one arch-equivalent is also
    specified (e.g. drop "foo" when accompanied by "foo:i386"; Closes:
    #1077590).
  * Fix gitlab CI config.
  * Minor refactoring changes.

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 30 Jul 2024 14:43:17 +0200

adequate (0.16.5) unstable; urgency=medium

  * Emit obsolete-conffile tags for conffiles that are no longer shipped by a
    package only when they have not been locally modified (Closes: #981767).
  * Minor additions to CONTRIB.md
  * debian/rules: drop hardening settings. dh is supposed to take care of that
    automatically, according to wiki.d.o/Hardening
  * debian/copyright: add entry for license-incompatibility.md

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 29 Jul 2024 00:11:06 +0200

adequate (0.16.4) unstable; urgency=medium

  * Ship README file to encourage package maintainers to run adequate using
    autopkgtest (Closes: #743198). Thanks to "Axel Beckert" <abe@debian.org>
    for providing the autopkgtest samples.
  * Ship CONTRIB.md

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 26 Jul 2024 21:35:40 +0200

adequate (0.16.3) unstable; urgency=medium

  * Run external tools from the root directory, rather than from whatever
    happens to be the current working directory, in case the latter gets
    deleted (Closes: #856886).

 -- Serafeim Zanikolas <sez@debian.org>  Thu, 25 Jul 2024 00:26:20 +0200

adequate (0.16.2) unstable; urgency=medium

  * Disable PIE for mips64el to address FTBFS.
  * Minor cleanups in debian/{rules,control}

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 24 Jul 2024 23:16:50 +0200

adequate (0.16.1) unstable; urgency=medium

  * Keep going when update-alternatives returns unexpected output (Closes:
    #857265).
  * Enable build hardening.

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 23 Jul 2024 01:04:05 +0200

adequate (0.16) unstable; urgency=medium

  * Release complete rewrite of adequate. This is meant to be largely
    backwards-compatible, see relevant NEWS entry for details.
  * Add --fail flag to return non-zero exit status when at least one tag is
    emitted for at least one package (Closes: #742932).
  * Ship license-incompatibility.md in the hope that it'll attract more
    scrutiny.

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 17 Jul 2024 21:49:06 +0200

adequate (0.15.15) experimental; urgency=low

  * Fix apt-hook and debconf integration (Closes: #1076157).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 07 Jul 2024 17:25:31 +0200

adequate (0.15.13) experimental; urgency=low

  * Upload to experimental a complete rewrite of adequate in another language.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 06 Jul 2024 16:32:11 +0200
