=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Debian Adequate Maintainers <team+adequate-maint@tracker.debian.org>
 Uploaders: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               perl,
+Build-Depends: debhelper (>= 13.4),
+               debhelper-compat (= 13),
+               golang-any (>= 2:1.21),
+	       dh-golang,
+	       go-md2man,
                python3,
                python3-apt
 Standards-Version: 4.7.0
@@ -12,12 +15,14 @@
 Vcs-Browser: https://salsa.debian.org/debian/adequate
 Homepage: https://salsa.debian.org/debian/adequate
 Rules-Requires-Root: no
+XS-Go-Import-Path: salsa.debian.org/debian/adequate
 
 Package: adequate
-Architecture: all
+Architecture: any
 Depends: debconf,
+	 ${shlibs:Depends},
          ${misc:Depends},
-         ${perl:Depends}
+Built-Using: ${misc:Built-Using}
 Recommends: pkgconf
 Description: Debian package quality testing tool
  adequate checks packages installed on the system and reports bugs and policy
