## adequate 0.16.14

=== debian/changelog ===
adequate (0.16.14) unstable; urgency=medium

  * Limit reporting of policy violations via debconf to a maximum of 64k
    bytes. Messages somewhere in the (64k, 128k] range cause whiptail to fail
    with "Argument list too long" (Closes: #1077704).

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 16 Aug 2024 01:26:18 +0200

adequate (0.16.13) unstable; urgency=medium

  * Do not mess-up the console (Closes: #1076788). Thanks to Antti Kultanen
    <debbugs@pyksy.fi> and gregor herrmann <gregoa@debian.org> for reporting
    the issue and helping me to reproduce it. Also thanks to Guillem Jover
    <guillem@debian.org> for tracking down the issue to adequate (it was
    initially reported against apt).
    * in respawning adequate via debconf, set only SysProcAttr.Setsid and let
      exec.Run() figure out the controlling terminal file descriptor (rather
      than asking it, via SysProcAttr.Setctty, to respect SysProcAttr.Ctty
      which we in fact were not setting (so it'd would only work for whatever
      setups the default (0) fd was valid)
    * do not close stdout; this was done in the perl version of adequate but
      with the rewrite in go, it seems to mess up apt hooks after adequate
  * Other cleanups:
    * eliminate deferred calls from main(); they don't get to run when calling
      os.Exit() (directly, or via log.Fatal())
    * respawn via debconf only when --debconf is set
    * set child stderr to parent stderr (rather than parent stdout)

 -- Serafeim Zanikolas <sez@debian.org>  Thu, 15 Aug 2024 23:38:38 +0200
