## adequate 0.16.18

=== debian/changelog ===
adequate (0.16.18) unstable; urgency=medium

  * Do not pass to dpkg ambiguous package names, in multi-arch setups.  (e.g.
    drop "foo" when "foo:i386" and "foo:amd64" are also installed, otherwise
    dpkg doesn't know whether "foo" refers to the i386 or the amd64 package;
    Closes: #1077590). Thanks to Sebastian Ramacher <sramacher@debian.org> for
    reporting the issue and testing potential fixes.

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 21 Aug 2024 00:00:28 +0200
