## adequate 0.16.19

=== debian/changelog ===
adequate (0.16.19) unstable; urgency=medium

  * Drop incompatible-licenses tag and license-incompatibility.md;
    Closes: #982264. For rationale, see
    https://lists.debian.org/D4I3W5WV4FPA.370EB5JA9FHHJ@debian.org.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 05 Oct 2024 20:36:04 +0200
