## adequate 0.16.20

=== debian/changelog ===
adequate (0.16.20) unstable; urgency=medium

  * Add new tags for invalid user/group values in systemd service unit
    and D-Bus configuration files, as well as in sysvinit scripts;
    Closes: #1003635, #1003636, #1003637.

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 20 Oct 2024 21:24:59 +0200
