## adequate 0.17

=== debian/changelog ===
adequate (0.17) unstable; urgency=medium

  * Ignore empty user/group values when validating sysvinit scripts.
  * Announce new and recently retired tags in NEWS.
  * Retroactively update minor version for the new tags introduced in the
    previous upload.

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 22 Oct 2024 22:04:11 +0200
