=== debian/control ===
--- 
+++ 
@@ -34,8 +34,8 @@
   * obsolete conffiles;
   * Python modules not byte-compiled;
   * missing libraries, undefined symbols, symbol size mismatches;
-  * license conflicts;
   * program name collisions;
   * missing alternatives;
   * missing binfmt interpreters and detectors;
-  * missing pkg-config dependencies.
+  * missing pkg-config dependencies;
+  * invalid user/group values in systemd/D-Bus/sysvinit files.
