## adequate 0.17.1

=== debian/changelog ===
adequate (0.17.1) unstable; urgency=medium

  * d/control: add autodep8 testsuites for go and adequate (the latter is
    still to be implemented on the autodep8 end)
  * Misc clean-ups in debian/rules and autopkgtest tests

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 08 Nov 2024 16:01:35 +0100
