## adequate 0.17.2

=== debian/changelog ===
adequate (0.17.2) unstable; urgency=medium

  * Add examples/sbuild-hook for calling adequate from an sbuild chroot, for
    all sbuild-built binaries.
  * Update README for using adequate from sbuild and autopkgtest.

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 24 Nov 2024 22:48:42 +0100
