=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Homepage: https://salsa.debian.org/debian/adequate
 Rules-Requires-Root: no
 XS-Go-Import-Path: salsa.debian.org/debian/adequate
+Testsuite: autopkgtest-pkg-go, autopkgtest-pkg-adequate
 
 Package: adequate
 Architecture: any
