=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,6 @@
 execute_after_dh_auto_build:
 	rm -rf _build/src _build/bin/private
 	$(MAKE) -B -C doc/
+
+override_dh_fixperms:
+	dh_fixperms -Xexamples
