## adequate 0.17.3

=== doc/Makefile ===
.PHONY: all
all: adequate.1

adequate.md: manpage.header manpage.footer tags.desc
	cd ../private && go run gen-markdown-manpage.go

# This should depend on adequate.md, but it doesn't to keep things simple.
# (That target depends on the adequate binary to get the list of tags, and
# that's not necessarily built before the manpage.)
adequate.1:
	mkdir -p ../_build/tmp/
	go-md2man -in=adequate.md -out=../_build/tmp/adequate.1

manpage-preview:
	man -l ../_build/tmp/adequate.1

.PHONY: clean
clean:

# vim:ts=4 sts=4 sw=4 noet
