=== debian/changelog ===
adequate (0.17.3) unstable; urgency=medium

  * Replace use of syscall package with golang.org/x/sys/unix, as the former
    is officially "not portable".
  * Drop examples/sbuild-hook; it's broken.

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 03 Jan 2025 21:12:06 +0100
