=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 13.4),
                debhelper-compat (= 13),
                golang-any (>= 2:1.21),
+	       golang-golang-x-sys-dev,
 	       dh-golang,
 	       go-md2man,
                python3,
