=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,12 @@
 	$(MAKE) -C tests/ changes
 endif
 
+execute_after_dh_auto_configure:
+	test -e _build/src/golang.org || ln -s /usr/share/gocode/src/golang.org _build/src/
+
 execute_before_dh_auto_build:
 	sed -i -e 's/dummy-adequate-version/$(DEB_VERSION)/' \
 		_build/src/salsa.debian.org/debian/adequate/adequate.go
 execute_after_dh_auto_build:
-	rm -rf _build/src _build/bin/private
+	rm -rf _build/src/salsa.debian.org _build/bin/private
 	$(MAKE) -B -C doc/
-
-override_dh_fixperms:
-	dh_fixperms -Xexamples
